<router-outlet></router-outlet>
<link rel="import" href="../../styles.css">
<div class="content">
    <h1>Lista de Estudiantes</h1>
    <div>
        <a class="btn btn-success" href="crear_usuario" style="text-decoration: none;color: white;">Crear Estudiante</a>
    </div>
    <br>
    <div>
      <a class="btn btn-success" href="asociacion" style="text-decoration: none;color: white;">Asociar Estudiante</a>
  </div>
    <br><br>
    <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">id</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellido</th>
            <th scope="col">identificacion</th>
            <th>Acciones</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let usuario of usuarios">
            <td>{{usuario.id}}</td>
            <td>{{usuario.primer_nombre}}</td>
            <td>{{usuario.primer_apellido}}</td>
            <td>{{usuario.identificacion}}</td>
            <td>
              <a  class="btn btn-warning" href="editar_usuario/{{usuario.id}}" style="text-decoration: none;color: white;">Editar Usuarios</a>
              <button (click)="eliminarUsuario(usuario.id)" class="btn btn-secondary">Eliminar</button>
            </td>
          </tr>
        </tbody>
    </table>
</div>
